Bug 91624 - (DMI APM)vaio Z600RE apm support - needs byte order swapping
(DMI APM)vaio Z600RE apm support - needs byte order swapping
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-26 05:53 EDT by Paul D. Mitcheson
Modified: 2007-04-18 12:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul D. Mitcheson 2003-05-26 05:53:55 EDT
Description of problem:

Battery status reported wrongly on vaio Z600RE

Version-Release number of selected component (if applicable):

redhat 9, 8, 7.3 etc etc.  (all version I can remember).  

How reproducible:

100%.


Steps to Reproduce:
1. boot linux on vaio z600re
2. apm
    

Additional info:
Comment 1 Arjan van de Ven 2003-06-05 15:42:01 EDT
can you attach the output of dmidecode? (it's part of the kernel-utils package)
Comment 2 Paul D. Mitcheson 2003-06-05 17:19:23 EDT
Thanks.  Here's the output of dmidecode: 
 
RSD PTR found at 0xF6C30 
checksum failed. 
OEM SONY 
SMBIOS 2.1 present. 
DMI 2.1 present. 
27 structures occupying 891 bytes. 
DMI table at 0x000F0B30. 
Handle 0x0000 
        DMI type 0, 19 bytes. 
        BIOS Information Block 
                Vendor: Phoenix Technologies LTD 
                Version: R0116Z1 
                Release: 02/22/00 
                BIOS base: 0xE8700 
                ROM size: 448K 
                Capabilities: 
                        Flags: 0x0000000000001F90 
Handle 0x0001 
        DMI type 1, 25 bytes. 
        System Information Block 
                Vendor: Sony Corporation 
                Product: PCG-Z600RE(GB) 
                Version: 01 
                Serial Number: 28305550-5103596 
Handle 0x0002 
        DMI type 2, 8 bytes. 
        Board Information Block 
                Vendor: Sony Corporation 
                Product: PCG-Z600RE(GB) 
                Version: 01 
                Serial Number: 28305550-5103596 
Handle 0x0003 
        DMI type 3, 13 bytes. 
        Chassis Information Block 
                Vendor: No Enclosure 
                Chassis Type: Other 
                Version: N/A 
                Serial Number: None 
                Asset Tag: No Asset Tag 
Handle 0x0004 
        DMI type 4, 32 bytes. 
        Processor 
                Socket Designation: MMO Con1 
                Processor Type: Central Processor 
                Processor Family: Pentium III processor 
                Processor Manufacturer: GenuineIntel 
                Processor Version: Pentium(R) III 
Handle 0x0005 
        DMI type 5, 22 bytes. 
        Memory Controller 
Handle 0x0006 
        DMI type 6, 12 bytes. 
        Memory Bank 
                Socket: J28 
                Banks: 0 1 
                Type: DIMM SDRAM 
                Installed Size: 128Mbyte (Double sided) 
                Enabled Size: 128Mbyte (Double sided) 
Handle 0x0007 
        DMI type 6, 12 bytes. 
        Memory Bank 
                Socket: J24 
                Banks: 2 3 
                Type: DIMM SDRAM 
                Installed Size: 128Mbyte 
                Enabled Size: 128Mbyte 
Handle 0x0008 
        DMI type 6, 12 bytes. 
        Memory Bank 
                Socket: J31 
                Banks: 4 5 
                Type: DIMM SDRAM 
                Installed Size: Not Installed 
                Enabled Size: Not Installed 
Handle 0x0009 
        DMI type 7, 19 bytes. 
        Cache 
                Socket: L1 Cache 
                L1 socketed Internal Cache: write-back 
                L1 Cache Size: 16K 
                L1 Cache Maximum: 16K 
                L1 Cache Type: Asynchronous 
Handle 0x000A 
        DMI type 7, 19 bytes. 
        Cache 
                Socket: L2 Cache 
                L2 socketed External Cache: write-back 
                L2 Cache Size: 512K 
                L2 Cache Maximum: 256K 
                L2 Cache Type: Burst 
Handle 0x000B 
        DMI type 8, 9 bytes. 
        Port Connector 
                Internal Designator: J19 
                Internal Connector Type: 9 Pin Dual Inline (pin 10 cut) 
                External Designator: COM 1 
                External Connector Type: DB-9 pin male 
                Port Type: Serial Port 16650A Compatible 
Handle 0x000C 
        DMI type 8, 9 bytes. 
        Port Connector 
                Internal Designator: J23 
                Internal Connector Type: 25 Pin Dual Inline (pin 26 cut) 
                External Designator: Parallel 
                External Connector Type: DB-25 pin female 
                Port Type: Parallel Port ECP/EPP 
Handle 0x000D 
        DMI type 8, 9 bytes. 
        Port Connector 
                Internal Designator: J11 
                Internal Connector Type: None 
                External Designator: Keyboard 
                External Connector Type: Circular DIN-8 male 
                Port Type: Keyboard Port 
Handle 0x000E 
        DMI type 8, 9 bytes. 
        Port Connector 
                Internal Designator: J12 
                Internal Connector Type: None 
                External Designator: PS/2 Mouse 
                External Connector Type: Circular DIN-8 male 
                Port Type: Keyboard Port 
Handle 0x000F 
        DMI type 9, 13 bytes. 
        Card Slot 
                Slot: EIO Slot J13 
                Type: 16bit Long ISA 
                Slot Features: 5v 
Handle 0x0010 
        DMI type 9, 13 bytes. 
        Card Slot 
                Slot: PCI Slot J20 
                Type: 32bit PCI 
                Slot Features: 5v 3.3v 
Handle 0x0011 
        DMI type 10, 8 bytes. 
        On Board Devices Information 
                Description: C&T 555 : Disabled 
                Type: 
                Description: ESS 1888 : Disabled 
                Type: 
Handle 0x0012 
        DMI type 12, 5 bytes. 
        Configuration Information 
Handle 0x0013 
        DMI type 16, 15 bytes. 
        Physical Memory Array 
Handle 0x0014 
        DMI type 17, 21 bytes. 
        Memory Device 
Handle 0x0015 
        DMI type 17, 21 bytes. 
        Memory Device 
Handle 0x0016 
        DMI type 17, 21 bytes. 
        Memory Device 
Handle 0x0017 
        DMI type 19, 15 bytes. 
        Memory Array Mapped Address 
Handle 0x0018 
        DMI type 20, 19 bytes. 
        Memory Device Mapped Address 
Handle 0x0019 
        DMI type 20, 19 bytes. 
        Memory Device Mapped Address 
Handle 0x001A 
        DMI type 20, 19 bytes. 
        Memory Device Mapped Address 
 
Comment 3 Bugzilla owner 2004-09-30 11:40:59 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.